 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.AnimalHeatEntity;
import com.huimv.management.service.AnimalHeatService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 体温信息表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "体温信息表")
@RestController
@RequestMapping("management/animalheat")
public class
AnimalHeatController {
    @Autowired
    private AnimalHeatService animalHeatService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = animalHeatService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		AnimalHeatEntity animalHeat = animalHeatService.getById(id);

        return R.ok().put("animalHeat", animalHeat);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody AnimalHeatEntity animalHeat){
		animalHeatService.save(animalHeat);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody AnimalHeatEntity animalHeat){
		animalHeatService.updateById(animalHeat);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		animalHeatService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
